Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::VButtonBox Class Reference

A GtkVButtonBox C++ wrapper class. More...

`#include <inti/gtk/buttonbox.h>`

Inheritance diagram for Inti::Gtk::VButtonBox:

List of all members.

## Public Member Functions

Constructors

- VButtonBox (ButtonBoxStyle layout=BUTTONBOX_DEFAULT_STYLE, int spacing=0)
    Construct a new VButtonBox with the specified layout and spacing.
- virtual ~VButtonBox ()
    Destructor.

Accessors

- GtkVButtonBox * gtk_vbutton_box () const
    Get a pointer to the GtkVButtonBox structure.
- GtkVButtonBoxClass * gtk_vbutton_box_class () const
    Get a pointer to the GtkVButtonBoxClass structure.
- operator GtkVButtonBox * () const
    Conversion operator; safely converts a VButtonBox to a GtkVButtonBox pointer.

## Protected Member Functions

Constructors

- VButtonBox (GtkVButtonBox *vbutton_box, bool reference=false)
    Construct a new VButtonBox from an existing GtkVButtonBox.

## Detailed Description

A GtkVButtonBox C++ wrapper class.

A button box should be used to provide a consistent layout of buttons throughout your application. The layout/spacing can be altered by the programmer, or if desired, by the user to alter the 'feel' of a program to a small degree.

Buttons are packed into a button box the same way widgets are added to any other container, using Gtk::Container::add(). You can also use Gtk::Box::pack_start() or Gtk::Box::pack_end(), but for button boxes both these functions work just like Gtk::Container::add(), ie., they pack the button in a way that depends on the current layout style, and on whether set_child_secondary() has been called on it. The spacing between buttons can be set with Gtk::Box::set_spacing(). The arrangement and layout of the buttons can be changed with Gtk::ButtonBox::set_layout().

## Constructor & Destructor Documentation

Inti::Gtk::VButtonBox::VButtonBox | ( | GtkVButtonBox * | vbutton_box,
|  | bool | reference = false
| ) | `[explicit, protected]`

Construct a new VButtonBox from an existing GtkVButtonBox.

Parameters:

  vbutton_box | A pointer to a GtkVButtonBox.
  reference | Set false if the initial reference count is floating, set true if it's not.

The vbutton_box can be a newly created GtkVButtonBox or an existing GtkVButtonBox. (see G::Object::Object).

Inti::Gtk::VButtonBox::VButtonBox | ( | ButtonBoxStyle | layout = BUTTONBOX_DEFAULT_STYLE,
|  | int | spacing = 0
| ) | `[explicit]`

Construct a new VButtonBox with the specified layout and spacing.

Parameters:

  layout | The way buttons are arranged in the button box.
  spacing | The number of pixels to place between children of the button box.

The documentation for this class was generated from the following file:

- buttonbox.h

Main Page - Footer